use std::ops::Deref;

use telers::{
    event::{telegram::HandlerResult, EventReturn},
    filters::CommandObject,
    types::Message,
    Bot,
};

use crate::{
    assets::files::{HELP_COMMAND_TEXT, PRIVACY_COMMAND_TEXT},
    utils::telegram::senders::send_html,
};

#[inline]
pub async fn info_commands_endpoint(
    bot: Bot,
    message: Message,
    command_object: CommandObject,
) -> HandlerResult {
    let chat_id = message.chat().id();
    match command_object.command.deref() {
        "help" => send_html(&bot, chat_id, HELP_COMMAND_TEXT).await,
        "privacy" => send_html(&bot, chat_id, PRIVACY_COMMAND_TEXT).await,
        _ => Ok(EventReturn::Cancel),
    }
}
